## Contributing to the EWS Managed API

You can contribute to this project by doing any of the following:

* Reporting bugs and features in the [issue tracker](https://github.com/officedev/ews-managed-api/issues).
* Submitting and reviewing pull requests
* Helping with documentation
* Helping with testing

GitHub supports [markdown](http://github.github.com/github-flavored-markdown/), so when filing bugs, make sure you check the formatting before you submit.

### Contributing code and content
Before submitting a feature or substantial code contribution, please discuss it with the team and ensure that it follows the product roadmap.  
You might also read these two blogs posts about contributing code:

* [Open Source Contribution Etiquette](http://tirania.org/blog/archive/2010/Dec-31.html) by Miguel de Icaza.
* [Don't "Push" Your Pull Requests](http://www.igvita.com/2011/12/19/dont-push-your-pull-requests/) by Ilya Grigorik.

### Pull requests
If you don't know what a pull request is, read the "[Using pull requests](https://help.github.com/articles/using-pull-requests)" article.

Some guidelines for pull requests:

* Use a descriptive title and description.
* Include a single logical change.
* Base your change on master branch - after a request is accepted, it can be ported to stable branches.
* Your change should cleanly merge with the target branch.

### Commit messages
1. Separate the subject from the body with a blank line.
2. Limit the subject line to 50 characters.
3. Capitalize the subject line.
4. Do not end the subject line with a period.
5. Use the imperative mood in the subject line (e.g. Fix #123: Make pigs fly).
6. Wrap the body at 72 characters.
7. Use the body to explain what and why. The how should be mostly covered by the diff.

### References

* [How to Write a Git Commit Message](http://chris.beams.io/posts/git-commit/)
* [A Note About Git Commit Messages](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html)
* [Guidelines for Commit Messages](https://wiki.gnome.org/Git/CommitMessages)
* [On commit messages](http://who-t.blogspot.de/2009/12/on-commit-messages.html)
